Subject: Re: bug#57179: 29.0.50: 'wrong-number-of-arguments' for function of two arguments called from 'window-scroll-functions'

From: Eli Zaretskii <[email-masked]>
Date: Sun, 14 Aug 2022 10:18:06 +0300

> From: Michael Heerdegen <[email-masked]>
> Cc: Andrea Greselin <[email-masked]>,  [email-masked],
>  Alan Mackenzie <[email-masked]>
> Date: Sun, 14 Aug 2022 02:19:31 +0200
> 
> Michael Heerdegen <[email-masked]> writes:
> 
> > Please tell whether this information suffices and you already have some
> > idea or if I should try to create a recipe.  I guess this must be
> > related to a recent change from within the last few days.
> 
> Reverting a part of
> 
> 48215c41d1 New debugging facility: backtraces from errors in Lisp called
> from redisplay (Alan Mackenzie <[email-masked]> 2022-08-11)

Indeed, the new function safe_run_hooks_2 has a bug.  In a build with
enable-checking I get an assertion violation in safe_run_hook_funcall,
because nargs is not 2 but 4.